@charset "utf-8";

/*━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
  Author : Hirohisa Yamada
  Date : 2026.03.25
  Copyright(C)HARD DISK. All rights reserved.
　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━*/

/* =========================
   fade system（完成版）
========================= */

/* 初期状態 */
.fade {
	opacity: 0;
	transform: translateY(0);
	transition: all 0.8s ease;
	will-change: transform, opacity;
}

/* 方向 */
.fade-up {
	transform: translateY(80px);
}

.fade-left {
	transform: translateX(-80px);
}

.fade-right {
	transform: translateX(80px);
}

.fade-only {
	transform: none;
}

/* 表示 */
.fade.active {
	opacity: 1;
	transform: translate(0, 0);
}